[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TCustomForm.CMActionExecute

Handles the CM_ACTIONEXECUTE control message.

## Declaration

Source position: forms.pp line 685

`protected procedure TCustomForm.CMActionExecute(`
`var Message: TLMessage`
`); message;`

## Arguments

`Message` |  | Control message examined in the method.

## Description

Calls DoExecuteAction to execute the TBasicAction passed as an argument in Message. Sets the Result member in Message to 1 to indicate that the action was performed in the method.

Called when a CM_ACTIONEXECUTE control message dispatched in the WndProc method in TApplication is processed for the form instance.